#include<bits/stdc++.h>

using namespace std;


int main(){
    ios_base::sync_with_stdio(false);
    int n, m; cin >> n >> m;
    int res = 0;
    vector<pair<int, int>> a(n);
    for(int i = 0; i<n; i++){
        int d, u;
        cin >> d >> u;
        a[i] ={d, u};
        }
    for (int i = 0; i < m; i++)
    {
        int l, r, x;
        cin >> l >> r >> x;
        for (int j = l-1; j < r; j++)
        {
            
            if(a[j].first <=x && a[j].second >= x) res++;
        }
        cout << res<<endl;
        res = 0;
    }
    
    

    return 0;
}